Status: Closed
Priority: Normal
Assignee:

Target version:

Description

Refinements 100000000
using Module.new {
refine String do
def to_proc
proc { |it] it.send self }
end

def refine_method
"X#refine_method"

end

end

}

def func &block
end

p "upcase".refine_method
# => "X#refine_method"

p "upcase".to_proc.call "homu"
# => "HOMU"

# Error: wrong argument type X (expected Proc) (TypeError)
func &"upcase"

0000:https:/wandbox.org/permlink/j8Hhavy7LoKYjrmz

00000000 Kermel#send 000000 #to_s 000 Refinements 00000000000

00000000 &hoge 00000000000 #to proc 0 Refinements 000000000000000000000
0000000000000000000000DDDOO0000a
0000000000000000000000D0000D000000000000Refinements 0O0OOO0OODOOODDOODDDOOODDDOODDD

Associated revisions

Revision a6e5073c573ce78b46445278cbfb8432464fa96d - 01/24/2018 06:25 AM - nobu (Nobuyoshi Nakada)
vm_args.c: to_proc refinements
e vm_args.c (vm_to_proc): enable #to_proc by refinements at Proc
passing as a block. patched by osyo (manga osyo).
[Feature #14223]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62020 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision a6e5073c - 01/24/2018 06:25 AM - nobu (Nobuyoshi Nakada)
vm_args.c: to_proc refinements
e vm_args.c (vm_to_proc): enable #to_proc by refinements at Proc
passing as a block. patched by osyo (manga osyo).

[Feature #14223]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62020 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
https://wandbox.org/permlink/j8Hhavy7LoKYjrnz

Revision f7210deb82c57e736ee8e4db2ff43cba17cb5829 - 01/24/2018 06:32 AM - nobu (Nobuyoshi Nakada)
NEWS: [Feature #14223] [ci skip]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62021 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f7210deb - 01/24/2018 06:32 AM - nobu (Nobuyoshi Nakada)
NEWS: [Feature #14223] [ci skip]

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/trunk@62021 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/22/2017 04:48 PM - osyo (manga osyo)

- Description updated

#2 - 12/26/2017 08:39 AM - nobu (Nobuyoshi Nakada)
#3 - 12/29/2017 06:47 AM - osyo (manga osyo)

- File refinemetns_to_proc.patch added
nobu (Nobuyoshi Nakada) wrote:
#4 - 01/24/2018 06:00 AM - matz (Yukihiro Matsumoto)
Matz.

#5 - 01/24/2018 06:25 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed

Applied in changeset trunk|r62020.

vm_args.c: to_proc refinements
e vm_args.c (vm_to_proc): enable #to_proc by refinements at Proc

passing as a block. patched by osyo (manga osyo).
[Feature #14223]

#6 - 01/26/2018 02:22 AM - osyo (manga osyo)
Files

refinemetns_to_proc.patch 3.73 KB 12/22/2017 0syo0 (manga 0syo)
refinemetns_to_proc.patch 3.26 KB 12/29/2017 0syo0 (manga 0syo)
